The shop's affiliate totals over a date window
GET
/api/public/v1/tik_tok_shop/affiliate/summaryConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getTikTokShopAffiliateSummary
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/affiliate/summary?start_date=2026-11-01&end_date=2026-11-01" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| start_date | query | string | required |
| end_date | query | string | required |
| scope | query | string | One of allgrowi Default all |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| commissionActual | number, nullable | |
| commissionBase | number, nullable | |
| commissionEstimated | number, nullable | |
| creators | number, nullable | |
| currency | string, nullable | |
| fullyReturnedSkuOrders | number, nullable | |
| gmvGross | number, nullable | |
| itemsSold | number, nullable | |
| orders | number, nullable | |
| scope | string, nullable | |
| skuOrders | number, nullable | |
| sweptThrough | string, nullable | |
| window | object, nullable | |
| window.endDate | string, nullable | |
| window.startDate | string, nullable |
Example
{
"commissionActual": 125.5,
"commissionBase": 125.5,
"commissionEstimated": 125.5,
"creators": 125.5,
"currency": "usd",
"fullyReturnedSkuOrders": 125.5,
"gmvGross": 125.5,
"itemsSold": 125.5,
"orders": 125.5,
"scope": "string",
"skuOrders": 125.5,
"sweptThrough": "string",
"window": {
"endDate": "string",
"startDate": "string"
}
}Errors: 400401404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.